> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.coperniq.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.coperniq.io/_mcp/server.

# Update Vendor

PATCH https://api.coperniq.io/v1/vendors/{vendor_id}
Content-Type: application/json

Update an existing vendor. All fields are optional — only include what you want to change.

Pass `null` to clear a nullable field (e.g. `website`, `description`).


Reference: https://docs.coperniq.io/api-reference/vendors/update-vendor

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `vendor_id` (string, required)

### Query parameters

- `allow_new_options` (boolean, optional, default: false) — Whether to allow creation of new dropdown options during record creation

### Body (application/json)

This endpoint expects a VendorUpdate.

- `name` (string, optional) — Vendor name
- `vendorType` (enum, optional) — The type of vendor
  - Allowed values: `CONSULTANT`, `FINANCING`, `LOGISTICS`, `MANUFACTURER`, `SUBCONTRACTOR`, `SUPPLIER`
- `address` (list of string, optional) — An array containing a single string, which represents the full vendor location/address.
- `website` (string, optional, nullable) — Vendor website URL
- `description` (string, optional, nullable) — Vendor description
- `isActive` (boolean, optional) — Whether the vendor is active
- `contacts` (list of integer, optional, nullable) — Contact IDs to associate with this vendor
- `projectIds` (list of integer, optional, nullable) — Project IDs to link this vendor to
- `custom` (map from string to any, optional) — Custom fields

## Response

### 200

Vendor updated successfully

- `id` (integer, optional) — Unique identifier
- `createdAt` (string, optional) — Creation timestamp
- `updatedAt` (string, optional) — Last update timestamp
- `name` (string, optional) — Vendor name
- `description` (string, optional, nullable) — Vendor description
- `address` (list of string, optional) — Vendor location/address
- `isActive` (boolean, optional) — Whether the vendor is active
- `primaryEmail` (string, optional, nullable) — Primary contact email
- `primaryPhone` (string, optional, nullable) — Primary contact phone
- `number` (integer, optional) — Vendor number (e.g., 1234)
- `vendorType` (enum, optional, nullable) — The type of vendor
  - Allowed values: `CONSULTANT`, `FINANCING`, `LOGISTICS`, `MANUFACTURER`, `SUBCONTRACTOR`, `SUPPLIER`
- `website` (string, optional, nullable) — Vendor website URL
- `projectIds` (list of integer, optional) — IDs of projects this vendor is linked to
- `custom` (map from string to any, optional) — Custom fields

## Errors

### 400 Bad Request Error

Invalid request

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `NOT_FOUND`
- `field` (string, optional) — Field that caused the validation error (if applicable)

### 401 Unauthorized Error

Authentication failed

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `NOT_FOUND`

### 404 Not Found Error

Resource not found

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `NOT_FOUND`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": 1,
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "name": "string",
  "description": "string",
  "address": [
    "string"
  ],
  "isActive": true,
  "primaryEmail": "string",
  "primaryPhone": "string",
  "number": 1,
  "vendorType": "CONSULTANT",
  "website": "string",
  "projectIds": [
    1
  ],
  "custom": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.coperniq.io/v1/vendors/vendor_id"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.coperniq.io/v1/vendors/vendor_id';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.coperniq.io/v1/vendors/vendor_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.coperniq.io/v1/vendors/vendor_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.coperniq.io/v1/vendors/vendor_id")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.coperniq.io/v1/vendors/vendor_id', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.coperniq.io/v1/vendors/vendor_id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.coperniq.io/v1/vendors/vendor_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```